<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="utf-8" />
<script src="../../../js/jquery-2.2.3.min.js"></script>
<script src="../../../js/bootstrap.min.js"></script>
<link rel="stylesheet" href="../../../css/bootstrap.min.css" />
<link href="../../../css/font-awesome.min.css" rel="stylesheet" />
<link rel="stylesheet" href="../../../css/AdminLTE.min.css" />
<link rel="stylesheet" href="../../../css/skins/_all-skins.min.css" />
<link href="../../../css/plugins/responsive.bootstrap.min.css"
	rel="stylesheet" />
</head>

<body>
	<div th:fragment="content">
       
         <input type="text" class="form-control"/>
		<div
			th:replace="fragments/notification_group :: content(idPrefix=${formId})">En
			esta parte se muestran las notificaciones</div>

		<form th:action="@{/producto/}" method="POST" role="form"
			th:object="${producto}" th:id="${formId}">

			<input type="hidden" th:field="*{id}" />

			<div class="row">

				<div class="form-group col-lg-4 col-md-4"
					id="multipartFileContainer">
					<img src="../../../images/male_user.png" />
				</div>

				<div class="form-group col-lg-8 col-md-8">

					<div class="form-group col-lg-2 col-md-4 required">
						<label for="codigo" th:text="#{producto.codigo.lbl}"
							class="field-label">Código</label> <input type="text"
							th:field="*{codigo}" class="form-control" maxlength="18"
							autofocus="autofocus" />

					</div>

					<div class="form-group col-lg-10 col-md-8 required">
						<label for="nombre" th:text="#{producto.nombre.lbl}"
							class="field-label">Nombre</label> <input type="text"
							th:field="*{nombre}" class="form-control" maxlength="100" />
					</div>

					<div class="form-group col-lg-4 col-md-4">
						<label for="familia" th:text="#{producto.familia.lbl}"
							class="field-label">Familia</label> 
							
							<select class="form-control"
							th:field="*{familia}">
							<option th:each="familia : ${familiaList}"
								th:value="${familia.id}" th:text="${familia.nombre}">Bebidas</option>
						</select>
					</div>


					<div class="form-group col-lg-4 col-md-4">
						<label for="linea" th:text="#{producto.linea.lbl}"
							class="field-label">Linea</label> <select class="form-control"
							th:field="*{linea}">
							<option th:each="linea : ${lineaList}" th:value="${linea.id}"
								th:text="${linea.nombre}">Bebidas</option>
						</select>
					</div>


					<div class="form-group col-lg-4 col-md-4">
						<label for="grupo" th:text="#{producto.grupo.lbl}"
							class="field-label">Grupo</label> <select class="form-control"
							th:field="*{grupo}">
							<option th:each="grupo : ${grupoList}" th:value="${grupo.id}"
								th:text="${grupo.nombre}">Gaseosas</option>
						</select>
					</div>


					<div class="form-group col-lg-4 col-md-4">
						<label for="iva" th:text="#{producto.iva.lbl}" class="field-label">Iva</label>

						<select class="form-control" th:field="*{iva}">
							<option th:each="iva : ${ivaList}" th:value="${iva.id}"
								th:text="${iva.nombre}">Iva 10%</option>
						</select>
					</div>

					<div class="form-group col-lg-2 col-md-4 required">
						<label for="precio" th:text="#{producto.precio.lbl}"
							class="field-label">Precio</label> <input type="number"
							th:field="*{precio}" class="form-control" maxlength="18" />

					</div>


                    <div class="row"></div>

					<div class="row">
						<div class="form-group col-lg-4 col-md-4">
							<label for="vendible" th:text="#{producto.vendible.lbl}"
								class="field-label">Vendible?</label>
							<div th:remove="tag"
								th:include="fragments/includes :: checkBoxField(inputId='vendible')">
								<input type="checkbox" />
							</div>
						</div>
						<div class="form-group col-lg-4 col-md-4">
							<label for="precioModificable"
								th:text="#{producto.precioModificable.lbl}" class="field-label">Precio
								Modificable?</label>
							<div th:remove="tag"
								th:include="fragments/includes :: checkBoxField(inputId='precioModificable')">
								<input type="checkbox" />
							</div>
						</div>

						<div class="form-group col-lg-4 col-md-4">
							<label for="ctrlSubproducto"
								th:text="#{producto.ctrlSubproducto.lbl}" class="field-label">Ctrl
								Subproducto?</label>
							<div th:remove="tag"
								th:include="fragments/includes :: checkBoxField(inputId='ctrlSubproducto')">
								<input type="checkbox" />
							</div>
						</div>
					</div>

				</div>
				<!-- Cierre segunda columna -->
			</div>
			<!-- END row -->
			<div
				th:replace="abm/ajax_form_buttons :: 
				content(formId=${formId}, controller=${controller})">

				<button class="btn btn-primary">Nuevo</button>
				<button class="btn btn-success">Guardar</button>
			</div>

		</form>

		<script type="text/javascript">
            $(document).ready( function() {

                
                htroot.bindImageToForm("[[${formId}]]", "id", 
                        "[[@{/producto/image/}]]", "multipartFile");
                
            }); 
		</script>


	</div>

</body>
</html>
